<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class CurrentTeam
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->user()->admin->hasRole('super-admin')) {
            return $next($request);
        }

        if ($request->has('event_id') || $request->route('event')) {
            $event = $request->route('event_id') ?? $request->route('event');

            if ($event->doesNoBelongToSameTeamAs($request->user()->admin)) {
                abort(401, 'You don\'t have permission to view this page.');
            }
        }

        return $next($request);
    }
}
