<?php

namespace EventPortal\Tests\Unit\Event;

use EventPortal\Domain\Event\BroadcastCallToAction;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class BroadcastCallToActionTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function shows_button_to_broadcast(): void
    {
        $event = factory(Event::class)->state('virtual')->create();
        $eventDelegate = factory(EventDelegate::class)->state('registered')->create(['event_id' => $event->id]);

        $callToAction = BroadcastCallToAction::make()->forEventDelegate($eventDelegate)->get();

        $this->assertEquals('Access the event', $callToAction->label);
        $this->assertEquals($event->broadcast_URL, $callToAction->href);
    }
}
